/* rcor.f -- translated by f2c (version 19990503).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "libtinyf2c.h"

/* ----------------------------------------------------------------------- */
/*     RCOR */
/* ----------------------------------------------------------------------- */
/*     Copyright (C) 2000 GFD Dennou Club. All rights reserved. */
/* ----------------------------------------------------------------------- */
doublereal rcor_(real *rx, real *ry, integer *n, integer *jx, integer *jy)
{
    /* System generated locals */
    real ret_val;

    /* Builtin functions */
    double sqrt(doublereal);

    /* Local variables */
    extern doublereal rcov_(real *, real *, integer *, integer *, integer *), 
	    rvar0_(real *, integer *, integer *);
    static real rmiss, rvarx, rvary;
    extern /* Subroutine */ int glrget_(char *, real *, ftnlen), msgdmp_(char 
	    *, char *, char *, ftnlen, ftnlen, ftnlen);

    /* Parameter adjustments */
    --ry;
    --rx;

    /* Function Body */
    rvarx = rvar0_(&rx[1], n, jx);
    rvary = rvar0_(&ry[1], n, jy);
    if (rvarx == 0.f || rvary == 0.f) {
	glrget_("RMISS", &rmiss, (ftnlen)5);
	ret_val = rmiss;
	msgdmp_("W", "RCOR  ", "VARIANCE OF RX OR RY IS EQUAL TO 0 / MISSING"
		" VALUE IS SUBSTITUTED.", (ftnlen)1, (ftnlen)6, (ftnlen)66);
    } else {
	ret_val = rcov_(&rx[1], &ry[1], n, jx, jy) / sqrt(rvarx * rvary);
    }
    return ret_val;
} /* rcor_ */

